TIKZTOSVG(1)

NAME
tikztosvg - Render TikZ diagrams to SVG.

SYNOPSIS

tikztosvg [OPTION]... INPUT_PATH

DESCRIPTION

The tikztosvg(1) command renders TikZ diagrams to SVG.

If INPUT_PATH is set to - the input will be read from stdin.

OPTIONS

-o, --output=OUTPUT_PATH
    Write output to file OUTPUT_PATH. If set to - the output will be written to stdout. Defaults to the base name of the input file suffixed with the .svg extension. The file is resolved relative to the working directory.

-p, --package=+PACKAGE
    Include \usepackage{PACKAGE} when rendering the diagram. The tikz, tikz-cd, pgfplots, amsmath and amssymb packages are always included by default.

-l, --library=+_LIBRARY
    Include \usetikzlibrary{LIBRARY} when rendering the diagram.

-q, --quiet
    Silence application log messages and script warnings.

--lualatex
    Use LuaTeX as the TeX engine. LuaTeX is already the default, so this option doesn’t really do much.

--xelatex
    Use XeTeX as the TeX engine.

--pdflatex
    Use pdfTeX as the TeX engine.

-h, --help
    Print a help message.

-v, --version
    Prints version information.

ENVIRONMENT

tikztosvg requires XeTeX and pdf2svg to be installed. Make sure any additional LaTeX packages are installed before using them in a diagram.

EXIT STATUS

0
    Success.

1
    Failure (syntax or usage error; configuration error).

[n]
    Failure (document processing failure).

AUTHORS

tikztosvg was written by Pablo

pdf2svg was written by David Barton and Matthew Flaschen

RESOURCES

Git source repository on sourcehut

Bug tracker

CTAN package

TeXLive

LuaTeX

XeTeX

pdfTeX

COPYING

Copyright (C) 2021 Pablo. Free use of this software is granted under the terms of the GPL-3.0 License.